# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header$
# copied from dev-embedded/avr-binutils

IUSE="nls"

MY_P=${P/msp430-/}
S=${WORKDIR}/${MY_P}
DESCRIPTION="The GNU binutils for the MSP430 microcontroller architecture"
HOMEPAGE="http://sources.redhat.com/binutils"
SRC_URI="http://ftp.gnu.org/gnu/binutils/${MY_P}.tar.bz2"

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~x86 ~amd64"

DEPEND="sys-libs/glibc"

src_compile() {
	econf \
		--target=msp430 \
		`use_enable nls` || die
	emake || die
}

src_install() {
	einstall || die
}
