# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header$
# adapted from dev-embedded/avr-binutils

IUSE="nls"

MY_P=${P/msp430-/}
DESCRIPTION="The gdbproxy for the MSP430 microcontroller architecture"
HOMEPAGE="http://mspgcc.sourceforge.net/"
SRC_URI="http://dl.sourceforge.net/sourceforge/mspgcc/msp430-gdbproxy"

SLOT="0"
LICENSE=""
KEYWORDS="~x86 ~amd64"

DEPEND="sys-devel/glibc
	dev-embedded/msp430-gdb
	dev-embedded/msp430-jtag"

src_unpack() {
	mkdir -p ${S}
	cp ${DISTDIR}/${A} ${S}
}

src_install() {
	chmod a+x ${A}
	mkdir -p ${D}usr/bin
	cp ${A} ${D}usr/bin/
}
